org.apache.hc.client5.http.cache

## Class RequestCacheControl.Builder

- java.lang.Object
- - org.apache.hc.client5.http.cache.RequestCacheControl.Builder

- Enclosing class:
    RequestCacheControl

      public static class RequestCacheControl.Builder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RequestCacheControl` | `build()`
    `long` | `getMaxAge()`
    `long` | `getMaxStale()`
    `long` | `getMinFresh()`
    `long` | `getStaleIfError()`
    `boolean` | `isNoCache()`
    `boolean` | `isNoStore()`
    `boolean` | `isOnlyIfCached()`
    `RequestCacheControl.Builder` | `setMaxAge(long maxAge)`
    `RequestCacheControl.Builder` | `setMaxStale(long maxStale)`
    `RequestCacheControl.Builder` | `setMinFresh(long minFresh)`
    `RequestCacheControl.Builder` | `setNoCache(boolean noCache)`
    `RequestCacheControl.Builder` | `setNoStore(boolean noStore)`
    `RequestCacheControl.Builder` | `setOnlyIfCached(boolean onlyIfCached)`
    `RequestCacheControl.Builder` | `setStaleIfError(long staleIfError)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getMaxAge

          public long getMaxAge()

    - #### setMaxAge

          public RequestCacheControl.Builder setMaxAge(long maxAge)

    - #### getMaxStale

          public long getMaxStale()

    - #### setMaxStale

          public RequestCacheControl.Builder setMaxStale(long maxStale)

    - #### getMinFresh

          public long getMinFresh()

    - #### setMinFresh

          public RequestCacheControl.Builder setMinFresh(long minFresh)

    - #### isNoCache

          public boolean isNoCache()

    - #### setNoCache

          public RequestCacheControl.Builder setNoCache(boolean noCache)

    - #### isNoStore

          public boolean isNoStore()

    - #### setNoStore

          public RequestCacheControl.Builder setNoStore(boolean noStore)

    - #### isOnlyIfCached

          public boolean isOnlyIfCached()

    - #### setOnlyIfCached

          public RequestCacheControl.Builder setOnlyIfCached(boolean onlyIfCached)

    - #### getStaleIfError

          public long getStaleIfError()

    - #### setStaleIfError

          public RequestCacheControl.Builder setStaleIfError(long staleIfError)

    - #### build

          public RequestCacheControl build()

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.